process VERIF_TABLE_TRA =
     ( ? event REACT_CLOCK, SENSOR_TOP, SENSOR_BOTTOM;
         real CURRENT_POS;
       ! boolean ERROR_UPWARD_TOP, ERROR_DOWNWARD_BOTTOM;
         event V_STOP, V_START_DOWN, V_START_UP, READY_UNLOAD, READY_LOAD, H_STOP, GO_TO_FEED, GO_TO_ROBOT;
     )
   pragmas 
      main
   end pragmas
   (| (| CLK_READY := CLK_73 ^+ V_START_UP
       | ACT_CLK_READY{}
       |)
    | (| CLK_38 := V_START_UP ^- READY_LOAD |)
    | (| CLK_41 := CLK_READY ^- CLK_279 |)
    | (| CLK_45 := CLK_73 ^- READY_LOAD |)
    | (| CLK_48 := CLK_READY ^- CLK_278 |)
    | (| CLK_51 := V_START_UP ^- CLK_73 |)
    | (| CLK_56 := CLK_53 ^* V_START_UP |)
    | (| CLK_60 := CLK_57 ^* CLK_73 |)
    | (| READY_LOAD := CLK_56 ^+ CLK_60
       | READY_LOAD ^= READY_LOAD
       |)
    | (| CLK_97 := V_START_DOWN ^- READY_UNLOAD |)
    | (| CLK_99 := CLK_READY_162 ^- CLK_277 |)
    | (| CLK_103 := CLK_131 ^- READY_UNLOAD |)
    | (| CLK_106 := CLK_READY_162 ^- CLK_276 |)
    | (| CLK_109 := CLK_READY_162 ^- CLK_131 |)
    | (| CLK_XZX_184 := CLK_131 ^+ CLK_READY_162
       | ACT_CLK_XZX_184{}
       |)
    | (| CLK_114 := CLK_111 ^* V_START_DOWN |)
    | (| CLK_118 := CLK_115 ^* CLK_131 |)
    | (| READY_UNLOAD := CLK_114 ^+ CLK_118
       | READY_UNLOAD ^= READY_UNLOAD
       |)
    | (| CLK_CURRENT_POS := ^CURRENT_POS
       | CLK_CURRENT_POS ^= CURRENT_POS
       | ACT_CLK_CURRENT_POS{}
       |)
    | (| SENSOR_TOP ^= SENSOR_TOP |)
    | (| SENSOR_BOTTOM ^= SENSOR_BOTTOM |)
    | (| CLK_174 := SENSOR_BOTTOM ^* CLK_171 |)
    | (| CLK_178 := SENSOR_TOP ^* CLK_175 |)
    | (| CLK_180 := CLK_178 ^- CLK_174 |)
    | (| CLK_181 := CLK_174 ^+ CLK_178 |)
    | (| CLK_183 := REACT_CLOCK ^- CLK_181 |)
    | (| REACT_CLOCK ^= REACT_CLOCK ^= ERROR_UPWARD_TOP ^= ERROR_DOWNWARD_BOTTOM
       | ACT_REACT_CLOCK{}
       |)
    | (| CLK_189 := CLK_174 ^- CLK_178 |)
    | (| CLK_276 := CLK_114 ^+ CLK_131 |)
    | (| CLK_277 := CLK_118 ^+ V_START_DOWN |)
    | (| CLK_278 := CLK_56 ^+ CLK_73 |)
    | (| CLK_279 := CLK_60 ^+ V_START_UP |)
    | (| CLK_READY_162 := CLK_131 ^+ V_START_DOWN
       | CLK_READY_162 ^= POSSIBL_163
       | ACT_CLK_READY_162{}
       |)
    | (| (| (| CLK := SENSOR_TOP ^* SENSOR_BOTTOM |)
          | ^0 ^= CLK
          |) |)%**war: Clocks constraints
      %
    |)
   where 
   constant real MIN_POS = 0.0;
   constant real MAX_POS = 45.0;
   constant real INI_POS = 0.0;
   event CLK_READY_162, CLK_279, CLK_278, CLK_277, CLK_276, CLK_189, CLK_183, CLK_181, CLK_180, CLK_178, CLK_175, CLK_174, CLK_171, CLK_131, CLK_CURRENT_POS, CLK_118, CLK_115, CLK_114, CLK_111, CLK_XZX_184, CLK_109, CLK_106, CLK_103, CLK_99, CLK_97, 
        CLK_73, CLK_60, CLK_57, CLK_56, CLK_53, CLK_51, CLK_48, CLK_45, CLK_41, CLK_38, CLK_READY;
   boolean POSSIBL_163;
   process ACT_CLK_READY =
        ( )
      (| CLK_READY ^= READY ^= POSSIBL ^= NEXT_STATE ^= NEXT_STATE_109 ^= XZX
       | (| CLK_53 := when XZX |)
       | (| CLK_57 := when READY |)
       | (| READY := NEXT_STATE$1 init false
          | POSSIBL := NEXT_STATE_109$1 init false
          | NEXT_STATE := (not READY_LOAD) default CLK_38 default (READY when CLK_41)
          | NEXT_STATE_109 := (not READY_LOAD) default CLK_45 default (POSSIBL when CLK_48)
          | XZX := CLK_73 default (POSSIBL when CLK_51)
          |)
       |)
      where 
      boolean READY, POSSIBL, NEXT_STATE, NEXT_STATE_109, XZX;
      end
   %ACT_CLK_READY%; 
   process ACT_CLK_XZX_184 =
        ( )
      (| CLK_XZX_184 ^= XZX_184
       | (| CLK_111 := when XZX_184 |)
       | (| XZX_184 := CLK_131 default (POSSIBL_163 when CLK_109) |)
       |)
      where 
      boolean XZX_184;
      end
   %ACT_CLK_XZX_184%; 
   process ACT_CLK_CURRENT_POS =
        ( )
      (| CLK_CURRENT_POS ^= LAST_POS ^= LAST_POS_156
       | (| CLK_73 := when ((CURRENT_POS<=MIN_POS) and (LAST_POS>MIN_POS)) |)
       | (| CLK_131 := when ((CURRENT_POS>=MAX_POS) and (LAST_POS_156<MAX_POS)) |)
       | (| H_STOP := CLK_73 ^+ CLK_131
          | H_STOP ^= H_STOP
          |)
       | (| LAST_POS := CURRENT_POS$1 init INI_POS
          | LAST_POS_156 := CURRENT_POS$1 init INI_POS
          |)
       |)
      where 
      real LAST_POS, LAST_POS_156;
      end
   %ACT_CLK_CURRENT_POS%; 
   process ACT_REACT_CLOCK =
        ( )
      (| REACT_CLOCK ^= S_TOP ^= S_BOTTOM ^= Z_S_TOP ^= Z_S_BOTTOM ^= ERROR ^= LIMIT_REACHED ^= STARTED ^= WITHIN ^= AFT_LIMIT ^= ERROR_311 ^= LIMIT_REACHED_323 ^= STARTED_324 ^= WITHIN_325 ^= AFT_LIMIT_326
       | (| CLK_171 := when Z_S_TOP
          | CLK_172 := when (not Z_S_TOP)
          |)
       | (| CLK_175 := when Z_S_BOTTOM
          | CLK_176 := when (not Z_S_BOTTOM)
          |)
       | (| CLK_190 := when S_TOP |)
       | (| CLK_194 := when S_BOTTOM |)
       | (| V_START_DOWN := CLK_172 ^* CLK_190
          | V_START_DOWN ^= V_START_DOWN ^= GO_TO_FEED
          | GO_TO_FEED := true when V_START_DOWN
          |)
       | (| V_START_UP := CLK_176 ^* CLK_194
          | V_START_UP ^= V_START_UP ^= GO_TO_ROBOT
          | GO_TO_ROBOT := true when V_START_UP
          |)
       | (| V_STOP := V_START_UP ^+ V_START_DOWN
          | V_STOP ^= V_STOP
          |)
       | (| CLK_264 := V_STOP ^- V_START_UP |)
       | (| CLK_266 := V_STOP ^- V_START_DOWN |)
       | (| CLK_271 := REACT_CLOCK ^- V_START_DOWN |)
       | (| CLK_273 := REACT_CLOCK ^- V_STOP |)
       | (| CLK_275 := REACT_CLOCK ^- V_START_UP |)
       | (| ERROR_UPWARD_TOP := ERROR_311
          | ERROR_DOWNWARD_BOTTOM := ERROR
          | S_TOP := (not CLK_174) default (SENSOR_TOP when CLK_180) default (Z_S_TOP when CLK_183)
          | S_BOTTOM := (not CLK_178) default (SENSOR_BOTTOM when CLK_189) default (Z_S_BOTTOM when CLK_183)
          | Z_S_TOP := S_TOP$1 init false
          | Z_S_BOTTOM := S_BOTTOM$1 init true
          | ERROR := AFT_LIMIT and WITHIN
          | LIMIT_REACHED := V_START_UP default (not CLK_275)
          | STARTED := V_START_DOWN default (not CLK_266) default (WITHIN when CLK_273)
          | WITHIN := STARTED$1 init false
          | AFT_LIMIT := LIMIT_REACHED$1 init false
          | ERROR_311 := AFT_LIMIT_326 and WITHIN_325
          | LIMIT_REACHED_323 := V_START_DOWN default (not CLK_271)
          | STARTED_324 := V_START_UP default (not CLK_264) default (WITHIN_325 when CLK_273)
          | WITHIN_325 := STARTED_324$1 init false
          | AFT_LIMIT_326 := LIMIT_REACHED_323$1 init false
          |)
       |)
      where 
      event CLK_275, CLK_273, CLK_271, CLK_266, CLK_264, CLK_194, CLK_190, CLK_176, CLK_172;
      boolean S_TOP, S_BOTTOM, Z_S_TOP, Z_S_BOTTOM, ERROR, LIMIT_REACHED, STARTED, WITHIN, AFT_LIMIT, ERROR_311, LIMIT_REACHED_323, STARTED_324, WITHIN_325, AFT_LIMIT_326;
      end
   %ACT_REACT_CLOCK%; 
   process ACT_CLK_READY_162 =
        ( )
      (| CLK_READY_162 ^= READY_162 ^= NEXT_STATE_167 ^= NEXT_STATE_177
       | (| CLK_115 := when READY_162 |)
       | (| READY_162 := NEXT_STATE_167$1 init false
          | POSSIBL_163 := NEXT_STATE_177$1 init false
          | NEXT_STATE_167 := (not READY_UNLOAD) default CLK_97 default (READY_162 when CLK_99)
          | NEXT_STATE_177 := (not READY_UNLOAD) default CLK_103 default (POSSIBL_163 when CLK_106)
          |)
       |)
      where 
      boolean READY_162, NEXT_STATE_167, NEXT_STATE_177;
      end
   %ACT_CLK_READY_162%; 
   end
%VERIF_TABLE_TRA%; 
